=== debian/changelog ===
ignition-physics (5.1.0+ds1-4ubuntu1) jammy; urgency=medium

    * Filter out flto=auto -ffat-lto-objects to fix amd64 build
      LP: #1965064
    * Extend ppc64 patch to relax test expectation (fix ppc64 build)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 16 Mar 2022 19:26:31 +0000

ignition-physics (5.1.0+ds1-4) unstable; urgency=medium

  * Include more debug information in FAKE patch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 22:29:14 +0000

ignition-physics (5.1.0+ds1-3) experimental; urgency=medium

  * Limit compilation threads in FAKE test to help ARM builds
  * Add patch to fix ppc64 test failures

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 16:43:23 +0000

ignition-physics (5.1.0+ds1-2) experimental; urgency=medium

  * Fix package names for ignition-physics dev file
  * Use no-parallel in the whole build
    Build consumes huge amounts of RAM and the testsuite can not run in
    parallel.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 12:11:10 +0000

ignition-physics (5.1.0+ds1-1) experimental; urgency=medium

  * New upstream version 5.1.0+ds
    (Closes: #1001706)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 18 Dec 2021 20:25:28 +0000
