=== debian/control ===
Source: ignition-physics
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper-compat (= 13),
               doxygen,
               libbullet-dev,
               libdart-dev (>= 6.12.1+dfsg4),
               libdart-collision-bullet-dev (>= 6.12.1+dfsg4),
               libdart-collision-ode-dev (>= 6.12.1+dfsg4),
               libdart-external-convhull-3d-dev (>= 6.12.1+dfsg4),
               libdart-external-ikfast-dev (>= 6.12.1+dfsg4),
               libdart-external-odelcpsolver-dev (>= 6.12.1+dfsg4),
               libdart-utils-dev (>= 6.12.1+dfsg4),
               libdart-utils-urdf-dev (>= 6.12.1+dfsg4),
               libignition-cmake-dev (>= 2.8.0),
               libignition-common-dev (>= 4.0.0),
               libignition-math-dev (>= 6.0.0),
               libignition-plugin-dev (>= 1.1.0),
               libignition-utils-dev,
               libeigen3-dev,
               libgtest-dev,
               libsdformat-dev (>= 12.0.0)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ignition-physics
Vcs-Git: https://salsa.debian.org/science-team/ignition-physics.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/physics

Package: libignition-physics-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake-dev (>= 2.1.0),
         libignition-math-dev (>= 6.0.0),
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics5-5 (= ${binary:Version}),
         libignition-utils-dev,
         ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Core Development files
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Core component, development files

Package: libignition-physics-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics-core-dev,
         libignition-cmake-dev (>= 2.1.0),
         libsdformat-dev (>= 12.0.0),
         libignition-physics5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - SDF Dev files
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 SDF component, development files

Package: libignition-physics-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics-core-dev,
         libignition-cmake-dev (>= 2.1.0),
         libignition-common-dev (>= 4.0.0),
         libignition-physics5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Mesh Dev files
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Mesh component, development files

Package: libignition-physics-heightmap-dev
Architecture: any
Section: libdevel
Depends: libignition-physics-core-dev (= ${binary:Version}),
         libignition-cmake-dev (>= 2.1.0),
         libignition-common-graphics-dev,
         libignition-physics5-5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Heightmap Dev files
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Heightmap component, development files

Package: libignition-physics5-5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Shared library
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Main shared library

Package: libignition-physics5-dartsim-plugin5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 DARTSim component shared library

Package: libignition-physics5-bullet-plugin5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Bullet library
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Bullet component shared library

Package: libignition-physics-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics-core-dev,
         libignition-physics-sdf-dev,
         libignition-physics-mesh-dev,
         libignition-cmake-dev (>= 2.1.0),
         libignition-math-dev (>= 6.0.0),
         libignition-plugin-dev (>= 1.1.0),
         libsdformat-dev (>= 12.0.0),
         libignition-physics5-tpe-plugin5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - TPE Development files
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE plugin component, development files

Package: libignition-physics5-tpe-plugin5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - TPE library plugin
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE and TPElib plugin component shared library

Package: libignition-physics5-tpelib5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - TPE library
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 TPE library component shared library

Package: libignition-physics-dev
Architecture: any
Section: libdevel
Depends: libignition-physics-core-dev,
         libignition-physics-mesh-dev,
         libignition-physics-sdf-dev,
         libignition-physics-tpe-dev,
         libignition-physics5-dartsim-plugin5 (= ${binary:Version}),
# Bullet component dependencies
         libbullet-dev,
# DART component dependencies:
         libignition-common-dev (>= 4.0.0),
         libignition-math-dev (>= 6.0.0),
         libignition-plugin-dev (>= 1.1.0),
         libdart-dev (>= 6.12.1+dfsg4),
         libdart-external-convhull-3d-dev (>= 6.12.1+dfsg4),
         libdart-collision-ode-dev (>= 6.12.1+dfsg4),
         libdart-utils-urdf-dev (>= 6.12.1+dfsg4),
         libdart-utils-dev (>= 6.12.1+dfsg4),
         libdart-external-odelcpsolver-dev (>= 6.12.1+dfsg4),
         libdart-external-ikfast-dev (>= 6.12.1+dfsg4),
         libdart-collision-bullet-dev (>= 6.12.1+dfsg4),
         libsdformat-dev (>= 12.0.0),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Metapackage
 Ignition Physics is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Metapackage, all development files include DARTSim and Bullet component
