=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# segfault. See https://github.com/ignitionrobotics/ign-physics/issues/330
CXXFLAGS:=$(filter-out -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects,$(CXXFLAGS))
LDFLAGS:=$(filter-out -flto=auto -ffat-lto-objects -flto=auto -ffat-lto-objects,$(LDFLAGS))

# The build consumes huge amounts of RAM, can not build it in mulithread
# test suite can not be run in parallel too.
%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DENABLE_PROFILER=True

# Test suite cannot run in parallel
# arm64 problems https://github.com/ignitionrobotics/ign-physics/issues/70
override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),arm64)
	true
else
	dh_auto_test
endif
